<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackState.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackState.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_state_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackState_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackState_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_const_8h.html">eicd/TrackStateConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_obj_8h.html">eicd/TrackStateObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>TrackStateCollection;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>TrackStateCollectionIterator;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>ConstTrackState;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_track_state.html">TrackState</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_track_state_collection.html">TrackStateCollection</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_track_state_collection_iterator.html">TrackStateCollectionIterator</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState</a>();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState</a>(<span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">location</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">d0</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">phi</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">omega</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">z0</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">tanLambda</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState</a>(<a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>* obj);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; other);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; <a class="code" href="classeic_1_1_track_state.html#a54a8958d63d07422cce74a09441840c2">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; other);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classeic_1_1_track_state.html">TrackState</a> <a class="code" href="classeic_1_1_track_state.html#a41f8551da1d5b5b369a8c19ea9c6550f">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classeic_1_1_track_state.html#a5063f4f3ed0e8e087d7d9a3880d4fe18">~TrackState</a>();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">location</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">d0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">phi</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">omega</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">z0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">tanLambda</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">location</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">d0</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">phi</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">omega</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">z0</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">tanLambda</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>(std::array&lt;float, 3&gt; value);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">float</span> value);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>();</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track_state.html#a0b02d5cb1760d583b6c094de6eddc977">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a18878ebd328d7f2aa9ba1d57ce881392">  114</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track_state.html#a18878ebd328d7f2aa9ba1d57ce881392">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a74e8360dbf4931adc2c299c4573c29fd">  116</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track_state.html#a74e8360dbf4931adc2c299c4573c29fd">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track_state.html#a74e8360dbf4931adc2c299c4573c29fd">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#a6c7898bf865060636d77cdb0b7cfdf28">  120</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track_state.html#a6c7898bf865060636d77cdb0b7cfdf28">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track_state.html">TrackState</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="classeic_1_1_track_state.html#ae5cb63b65744743fc548d92a9e4913ad">  122</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_state.html#ae5cb63b65744743fc548d92a9e4913ad">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">getObjectID</a>().index; }</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;  <a class="code" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>* m_obj;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;};</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&amp; value);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_track_state_html_ac9581fe51d3584111722093ace8aeca8"><div class="ttname"><a href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">eic::TrackState::TrackState</a></div><div class="ttdeci">TrackState()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00016">TrackState.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a74e8360dbf4931adc2c299c4573c29fd"><div class="ttname"><a href="classeic_1_1_track_state.html#a74e8360dbf4931adc2c299c4573c29fd">eic::TrackState::operator==</a></div><div class="ttdeci">bool operator==(const TrackState &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00116">TrackState.h:116</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a0b02d5cb1760d583b6c094de6eddc977"><div class="ttname"><a href="classeic_1_1_track_state.html#a0b02d5cb1760d583b6c094de6eddc977">eic::TrackState::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00080">TrackState.cc:80</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a4ff86c39fee562a817d51787bc33476d"><div class="ttname"><a href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">eic::TrackState::location</a></div><div class="ttdeci">const int &amp; location() const</div><div class="ttdoc">Access the The location of the track state. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00054">TrackState.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_adf9411484d0a9acc55d129d66583df44"><div class="ttname"><a href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">eic::TrackState::referencePoint</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; referencePoint() const</div><div class="ttdoc">Access the Reference point of the track parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00060">TrackState.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a6c7898bf865060636d77cdb0b7cfdf28"><div class="ttname"><a href="classeic_1_1_track_state.html#a6c7898bf865060636d77cdb0b7cfdf28">eic::TrackState::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const TrackState &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00120">TrackState.h:120</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_html"><div class="ttname"><a href="classeic_1_1_track_state_collection.html">eic::TrackStateCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00050">TrackStateCollection.h:50</a></div></div>
<div class="ttc" id="_track_state_obj_8h_html"><div class="ttname"><a href="_track_state_obj_8h.html">TrackStateObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a4a2311194941e316ee35d0b44e626a4e"><div class="ttname"><a href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">eic::TrackState::omega</a></div><div class="ttdeci">const float &amp; omega() const</div><div class="ttdoc">Access the Omega is the signed curvature of the track in [1/mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00057">TrackState.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html"><div class="ttname"><a href="classeic_1_1_track_state.html">eic::TrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00026">TrackState.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_ae5cb63b65744743fc548d92a9e4913ad"><div class="ttname"><a href="classeic_1_1_track_state.html#ae5cb63b65744743fc548d92a9e4913ad">eic::TrackState::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00122">TrackState.h:122</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_ab6fbadc02504302dcd4311f28e6f0e69"><div class="ttname"><a href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">eic::TrackState::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00087">TrackState.cc:87</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a18878ebd328d7f2aa9ba1d57ce881392"><div class="ttname"><a href="classeic_1_1_track_state.html#a18878ebd328d7f2aa9ba1d57ce881392">eic::TrackState::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackStateObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8h_source.html#l00114">TrackState.h:114</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_ad610068523aea291bddbecffa78e2e66"><div class="ttname"><a href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">eic::TrackState::tanLambda</a></div><div class="ttdeci">const float &amp; tanLambda() const</div><div class="ttdoc">Access the Lambda is the dip angle of the track in r-z at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00059">TrackState.cc:59</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a8c3a4fb0b56f4c00ee401373fa5c23b0"><div class="ttname"><a href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">eic::TrackState::d0</a></div><div class="ttdeci">const float &amp; d0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-phi). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00055">TrackState.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html"><div class="ttname"><a href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00024">TrackStateConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_aad57c3208b5c7de36b78a35dbaa6312f"><div class="ttname"><a href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">eic::TrackState::z0</a></div><div class="ttdeci">const float &amp; z0() const</div><div class="ttdoc">Access the Impact parameter of the track in (r-z). </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00058">TrackState.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a54a8958d63d07422cce74a09441840c2"><div class="ttname"><a href="classeic_1_1_track_state.html#a54a8958d63d07422cce74a09441840c2">eic::TrackState::operator=</a></div><div class="ttdeci">TrackState &amp; operator=(const TrackState &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00035">TrackState.cc:35</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_obj_html"><div class="ttname"><a href="classeic_1_1_track_state_obj.html">eic::TrackStateObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_obj_8h_source.html#l00018">TrackStateObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a5063f4f3ed0e8e087d7d9a3880d4fe18"><div class="ttname"><a href="classeic_1_1_track_state.html#a5063f4f3ed0e8e087d7d9a3880d4fe18">eic::TrackState::~TrackState</a></div><div class="ttdeci">~TrackState()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00049">TrackState.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a9b47d98f550c7ecbc6501896bf684ea4"><div class="ttname"><a href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">eic::TrackState::phi</a></div><div class="ttdeci">const float &amp; phi() const</div><div class="ttdoc">Access the Phi of the track at the reference point. </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00056">TrackState.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_track_state_collection_iterator.html">eic::TrackStateCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_collection_8h_source.html#l00029">TrackStateCollection.h:29</a></div></div>
<div class="ttc" id="_track_state_const_8h_html"><div class="ttname"><a href="_track_state_const_8h.html">TrackStateConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_state_html_a41f8551da1d5b5b369a8c19ea9c6550f"><div class="ttname"><a href="classeic_1_1_track_state.html#a41f8551da1d5b5b369a8c19ea9c6550f">eic::TrackState::clone</a></div><div class="ttdeci">TrackState clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_track_state_8cc_source.html#l00045">TrackState.cc:45</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
